
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android实践--Android Http 客户端编程之GET / 憋错料</title>

    <meta name="description" content="Android实践--Android Http 客户端编程之GET Android Http 客户端编程之GET 说起Http编程,不尽然想起GET和POST两种请求方式,本文以简洁明了的的步骤和说明,将Android中常用的Http编程的方式列举出来,给刚刚在Android路上起步的奋斗者参考和指引,希望快速上手应用Android Http编程的同仁可以先绕过下面一段话. 做一件事之前,我们是否能驻足想一下要做这件事,我们需要做哪些工作,然后在经验中积累出模板思路和步骤,在程序界通常用设计模式来概括这些工作良好的解决方案.有了这些总结积累,这样我们就能举一反三">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Android实践--Android Http 客户端编程之GET</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>Android Http 客户端编程之GET</strong></p>
<p>说起Http编程，不尽然想起GET和POST两种请求方式，本文以简洁明了的的步骤和说明，将Android中常用的Http编程的方式列举出来，给刚刚在Android路上起步的奋斗者参考和指引，希望快速上手应用Android Http编程的同仁可以先绕过下面一段话。</p>
<p>做一件事之前，我们是否能驻足想一下要做这件事，我们需要做哪些工作，然后在经验中积累出模板思路和步骤，在程序界通常用设计模式来概括这些工作良好的解决方案。有了这些总结积累，这样我们就能举一反三，面对新的问题不再 无所适从，这是一个优秀程序员必须养成的能力，所以每个<strong>爱好编程</strong>的同仁都有责任让自己成为一个优秀的程序员程序员。</p>
<p><strong>Android Http 客户端编程设计模式（步骤）：</strong></p>
<p><strong>1.网络权限：</strong>添加INTERNET用户权限。</p>
<p><strong>2.UI设计：</strong>设计用户界面。</p>
<p><strong>3.发出请求：</strong>客户端提交HTTP请求，提交数据，切记不能在UI线程完成。</p>
<p><strong>4.接收响应：</strong>接收服务器端的响应，获取服务器返回数据。</p>
<p><strong>5.UI更新：</strong>客户端业务处理，更新UI。</p>
<p>此模式是我初学Android给自己总结的一套模式，这样能够帮助我在涉及到HTTP编程的时候能够编写出良好工作的代码，欢迎同仁给出宝贵的意见。下面是根据这套模式实现的HTTP编程实践。</p>
<p><strong>1.网络权限，</strong>添加用户权限：</p>
<pre>    &lt;uses-permission android:name=&quot;android.permission.INTERNET&quot;/&gt;</pre>
<p><strong>2.UI设计，</strong>登陆界面的UI，文本框*1&#043;密码框*1&#043;按钮*1，UI较为简单，布局文件内容略，这个之所以写成中文，后面会有一个中文乱码的问题，为了简化篇幅，此处EditText和Button的Text直接写好，这是一个很不好的编码习惯，强烈建议实际中抽离出来，在string.xml中定义，以此为鉴。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA1MTUyMjU0MDI3ODE/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZVhOcWFXRnVYM0JwYm1kamVBPT0vZm9udC81YTZMNUwyVC9mb250c2l6ZS80MDAvZmlsbC9JMEpCUWtGQ01BPT0vZGlzc29sdmUvNzAvZ3Jhdml0eS9Tb3V0aEVhc3Q=.jpg"></p>
<pre>&lt;LinearLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot;
    android:layout_width=&quot;match_parent&quot;
    android:layout_height=&quot;match_parent&quot;
    android:orientation=&quot;vertical&quot; &gt;
    &lt;EditText
        android:id=&quot;@+id/et_userName&quot;
        android:layout_width=&quot;match_parent&quot;
        android:layout_height=&quot;wrap_content&quot;
        android:hint=&quot;请输入用户名&quot;
        android:text=&quot;袁慎建&quot; /&gt;
    &lt;EditText
        android:id=&quot;@+id/et_password&quot;
        android:layout_width=&quot;match_parent&quot;
        android:layout_height=&quot;wrap_content&quot;
        android:hint=&quot;请输入密码&quot;
        android:inputType=&quot;textPassword&quot;
        android:text=&quot;000&quot; /&gt;
    &lt;Button
        android:layout_width=&quot;match_parent&quot;
        android:layout_height=&quot;wrap_content&quot;
        android:onClick=&quot;loginByGet&quot;
        android:text=&quot;GET登陆&quot; /&gt;
&lt;/LinearLayout&gt;</pre>
<p><strong>3.发出请求：</strong>编写客户端HTTP请求，并提交数据，中文用户名需要进行URL编码，见代码。（此步骤不能在UI线程进行）</p>
<p><strong>4.接收响应：</strong>接收服务器端的响应，请求成功后获取响应输入流。（此步骤不能在UI线程进行）</p>
<pre>	public static final String URL_PREFIX = &quot;http://191.168.2.177:8080/LoginServer/LoginServlet&quot;;
	/**
	 * Get方式提交请求，此方法只能在非UI线程进行调用
	 *
	 * @param userName
	 * @param password
	 * @return
	 */
	public static String loginByGet(String userName, String password) {
		try {
			// 对中文进行编码
			String path = URL_PREFIX + &quot;?user=&quot;
					+ URLEncoder.encode(userName, &quot;UTF-8&quot;) + &quot;&amp;pass=&quot;
					+ URLEncoder.encode(password, &quot;UTF-8&quot;);
			URL url = new URL(path);
			HttpURLConnection conn = (HttpURLConnection) url.openConnection();
			conn.setRequestMethod(&quot;GET&quot;);
			conn.setConnectTimeout(5000);
			int code = conn.getResponseCode();
			if (code == 200) {
				InputStream is = conn.getInputStream();
				return readStream(is);
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		return null;
	}

	/**
	 * 读取流中数据
	 *
	 * @param is
	 * @return
	 */
	public static String readStream(InputStream is) {
		ByteArrayOutputStream baos = new ByteArrayOutputStream();
		byte[] values = new byte[1024];
		try {
			try {
				int length = 0;
				while ((length = is.read(values)) != -1) {
					baos.write(values, 0, length);
				}
				return new String(baos.toByteArray());
			} finally {
				if (baos != null) {
					baos.close();
				}
				if (is != null) {
					is.close();
				}
			}
		} catch (IOException e) {
			e.printStackTrace();
			return &quot;解析失败&quot;;
		}
	}
</pre>
<p><strong>5.UI更新：</strong>解析服务器响应输入流数据后，将数据内容Toast显示出来，Android中Activity类中的runOnUiThread方法，适当使用可以简化Handler的编程。</p>
<pre>	public void loginByGet(View view) {
		final String userName = etUserName.getText().toString();
		final String password = etPassword.getText().toString();
		if (TextUtils.isEmpty(userName) || TextUtils.isEmpty(password)) {
			Toast.makeText(this, &quot;用户名或密码不能为空&quot;, Toast.LENGTH_LONG).show();
			return;
		}
		ExecutorService executorService = Executors.newSingleThreadExecutor();
		executorService.execute(new Runnable() {
			@Override
			public void run() {
				// 调用LoginService中的方法
				final String result = LoginService.loginByGet(userName,
						password);
				/*
				 * 利用这个方法可以方便更新UI，如果当前线程是ui线程，会立即执行，否则会被放到UI线程的事件队列中 Runs the
				 * specified action on the UI thread. If the current thread is
				 * the UI thread, then the action is executed immediately. If
				 * the current thread is not the UI thread, the action is posted
				 * to the event queue of the UI thread.
				 */
				runOnUiThread(new Runnable() {
					public void run() {
						Toast.makeText(getApplicationContext(),
								result + &quot;-------&quot;, Toast.LENGTH_LONG).show();
					}
				});
			}
		});
		executorService.shutdown();
	}</pre>
<p>通过这篇文章，有没有引发你对HTTP编程的一些思考和总结，当我们要实现HTTP客户端的时候，只需要记住简单的设计模式中的五个步骤，这只是一个简单的GET请求的例子，后面会继续退出此设计模式下的POST请求，以及HTTP一些框架的使用，敬请期待。</p>
<p>文章来源：<a href="http://blog.csdn.net/ysjian_pingcx/article/details/25915047" rel="external nofollow noreferrer">http://blog.csdn.net/ysjian_pingcx/article/details/25915047</a></p>
<p><P><A href="http://www.bubuko.com/infodetail-184683.html" rel="external nofollow noreferrer">Android实践--Android Http 客户端编程之GET,布布扣,bubuko.com</A></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 08:57:57 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/http/" title="http">http</a>, <a href="https://www.biecuoliao.com/tag/android/" title="android">android</a>, <a href="https://www.biecuoliao.com/tag/%e7%bd%91%e7%bb%9c/" title="网络">网络</a>, <a href="https://www.biecuoliao.com/tag/%e8%ae%be%e8%ae%a1%e6%a8%a1%e5%bc%8f/" title="设计模式">设计模式</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Android实践--Android Http 客户端编程之GET的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47pA6oM.html" rel="bookmark">Android实践--Http 客户端编程之GET请求</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android Http 客户端编程之GET 说起Http编程,不尽然想起GET和POST两种请求方式,本文以简洁明了的的步骤和说明,将Android中常用的Http编程的方式列举出来,给刚刚在Android路上起步的奋斗者参考和指引,希望快速上手应用Android Http编程的同仁可以先绕过下面一段话. 做一件事之前,我们是否能驻足想一下要做这件事,我们需要做哪些工作,然后在经验中积累出模板思路和步骤,在程序界通常用设计模式来概括这些工作良好的解决方案.有了这些总结积累,这样我们就能举一反三			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDR5293.html" rel="bookmark">Android编程之Fragment动画加载方法源码详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上次谈到了Fragment动画加载的异常问题,今天再聊聊它的动画加载loadAnimation的实现源代码: Animation loadAnimation(Fragment fragment, int transit, boolean enter, int transitionStyle) { 接下来具体看一下里面的源码部分,我将一部分一部分的讲解,首先是: Animation animObj = fragment.onCreateAnimation(transit, enter, fragm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoQJGl3.html" rel="bookmark">Android编程之Fragment使用动画造成Unknown animation name&colon; objectAnimator异常</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在为Fragment做切换动画,启动后遇到了一个异常: Caused by: java.lang.RuntimeException: Unknown animation name: objectAnimator 截图如下: 我的代码如下: fragment = Fragment.instantiate(getActivity(), clz.getName()); fragment.setArguments(args); ft.setCustomAnimations(R.animator.frag			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41BxJPM.html" rel="bookmark">Android多线程编程之Handler篇（消息机制）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android多线程编程之Handler篇(消息机制) Android的消息机制主要是指Handler的运行机制,Handler的运行需要底层的MessageQueue和Looper的支撑. MessageQueue 消息队列,以队列的形式(实为单链表结构)对外提供插入和删除的工作, Looper 以无限循环的形式不断获取MessageQueue中的消息,有则处理,无则等待. ThreadLocal ThreadLocal可以在不同的线程互不干扰的存储并提供数据,通过ThreadLocal可以很			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Q7lKo0.html" rel="bookmark">Android编程之LayoutInflater的inflate方法实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				假设你不关心其内部实现,仅仅看怎样使用的话,直接看这篇就可以. 接上篇,接下来,就用最最简单的样例来说明一下: 用两个布局文件main 和 test: 当中,main.xml文件为: &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;LinearLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot; android:layo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xnVQj4.html" rel="bookmark">android网络编程之pull解析xml</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				android网络编程之pull解析xml 除了前面介绍过的SAX以及DOM方法,还可以通过Pull对xml文档进行一个解析.Pull解析器的解析方式与SAX非常相似.它提供了类似的事件,使用parser.next()可以进入下一元素并触发相应事件,事件将作为数值代码被发送,因此可以使用一个switch对感兴趣的事件进行选择,然后进行相应的处理,调用parser.nextText()方法可以获取下一个Text类型元素的值. pull解析器特点: *结构简单:一个接口.一个例外.一个工厂就组成了P			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyKrve3.html" rel="bookmark">android网络编程之HttpUrlConnection的讲解--实现文件断点下载</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.没有实现服务器端,下载地址为网上的一个下载链接. 2.网络开发不要忘记在配置文件中添加访问网络的权限 &lt;uses-permission android:name=&quot;android.permission.INTERNET&quot;/&gt; 3.网络请求.处理不能在主线程中进行,一定要在子线程中进行.因为网络请求一般有1~3秒左右的延时,在主线程中进行造成主线程的停顿,对用户体验来说是致命的.(主线程应该只进行UI绘制,像网络请求.资源下载.各种耗时操作都应该放到子线程中). 4.断点			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzLepO3.html" rel="bookmark">android网络编程之HttpUrlConnection的讲解--GET请求</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.服务器后台使用Servlet开发,这里不再介绍. 2.网络开发不要忘记在配置文件中添加访问网络的权限 &lt;uses-permission android:name=&quot;android.permission.INTERNET&quot;/&gt; 3.网络请求.处理不能在主线程中进行,一定要在子线程中进行.因为网络请求一般有1~3秒左右的延时,在主线程中进行造成主线程的停顿,对用户体验来说是致命的.(主线程应该只进行UI绘制,像网络请求.资源下载.各种耗时操作都应该放到子线程中). 4. p			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JjmoD4.html" rel="bookmark">android网络编程之HttpUrlConnection的讲解--上传大文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.服务器后台使用Servlet开发,这里不再介绍. 2.网络开发不要忘记在配置文件中添加访问网络的权限 &lt;uses-permission android:name=&quot;android.permission.INTERNET&quot;/&gt; 3.网络请求.处理不能在主线程中进行,一定要在子线程中进行.因为网络请求一般有1~3秒左右的延时,在主线程中进行造成主线程的停顿,对用户体验来说是致命的.(主线程应该只进行UI绘制,像网络请求.资源下载.各种耗时操作都应该放到子线程中). 4.传输			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0n1kvM.html" rel="bookmark" class="title">html中去掉文本框&lpar;input type&equals;&amp;quot&semi;text&amp;quot&semi;&rpar;的边框或只显示下边框</a>
					<div>
						去掉: &lt;input   type=&quot;text&quot;   name=&quot;textfield&quot;   style=&quot;border:0px;&quot;&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoQk9x3.html" rel="bookmark" class="title">JavaScript之刷新显示随机文本</a>
					<div>
						&lt;html&gt;&lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;meta name=&quot;Generator&quot;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4APgPb3.html" rel="bookmark" class="title">【HDOJ】3285 Convex Hull of Lattice Points</a>
					<div>
						凸包模板题目. 1 /* 3285 */ 2 #include &lt;iostream&gt; 3 #include &lt;cstdio&gt; 4 #include &lt;cstring&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/412b5YM.html" rel="bookmark" class="title">lvs-dr模式原理详解和可能存在的&OpenCurlyDoubleQuote;假负载均衡&rdquo;</a>
					<div>
						原文地址: http://blog.csdn.net/lengzijian/article/details/8089661 lvs-dr模式原理 转载注明出处:http://blog.csdn.net ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4peWP8M.html" rel="bookmark" class="title">移动网页 -- 设备-地理定位</a>
					<div>
						1.地理定位 1 navigator.geolocation.getCurrentPosition(function(where){ 2 alert(where.coords.latitude + & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kX8db3.html" rel="bookmark" class="title">java高并发框架 SSM框架 详细整合&lpar;Spring&plus;SpringMVC&plus;MyBatis&rpar;</a>
					<div>
						获取[下载地址]   [免费支持更新]三大数据库 mysql  oracle  sqlsever   更专业.更强悍.适合不同用户群体[新录针对本系统的视频教程,手把手教开发一个模块,快速掌握本系统] ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eqJPJ0.html" rel="bookmark" class="title">Qt开发小工具之gif转换器（使用QMovie截取每一帧为QImage，然后用QFile另存为图片文件）</a>
					<div>
						最近,QQ上好多各种gif表情.每一个都很经典呀..于是我就想把它转换成一张张静态图片...没学过ps.于是写了几行代码.完工.核心代码如下 主要是借助QMovie类.文件读取模式选择QMovie:: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47Nxx93.html" rel="bookmark" class="title">提高效率</a>
					<div>
						1.每天准备一份任务清单 晚上你就应该着手制作一个第二天要完成的重要任务的清晰列表.内容繁冗的计划列表是没有什么用的,只需要列出两到三项重要任务就行,计划一旦完成了,你的工程项目上就能体现出重大的进步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWYL2L3.html" rel="bookmark" class="title">特殊符号小计1</a>
					<div>
						[[email protected] data]# cho tt &gt;&gt; tt.tt 2&gt;&amp;1 [[email protected] data]# cat tt.tt tt t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZD8zqM.html" rel="bookmark" class="title">&lpar;转&rpar;apache外网不能访问分析与解决方法</a>
					<div>
						转自:http://blog.sina.com.cn/s/blog_6bb7ebcc0101g0aw.html 说明:新手,配完到生效,机器可能有个延迟,切记,这个延迟是正常的. apache安装好以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyljdL4.html" rel="bookmark" class="title">Cocos2d-x开发---字幕效果</a>
					<div>
						这个形容或许没有表述清楚,大概的意思是:label显示的时候,是一个字一个字逐渐显示出来的,给人一种对话的感觉. 引擎版本:2.1.4:开发语言:lua 思路:实现这种效果,可以通过定时器来实现,在定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aYzKR0.html" rel="bookmark" class="title">Win7系统怎么开启远程桌面？Win7远程桌面怎么用（转）</a>
					<div>
						远程桌面服务开启之后,可以方便的远程管理服务器或计算机.为生活和工作带来不少便利呢,很多小伙伴还不知道怎么开启win7远程桌面吧(下面咗嚛以内网远程桌面为例) 工具/原料 Win7 Win7远程桌面怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXn2bq3.html" rel="bookmark" class="title">POJ 2096 多系统找n种bug需要的天数期望--期望dp</a>
					<div>
						题意:有s种系统,小明来找bug,他每天能找到且只找到一个bug,要求找齐n种不同的bug,且每个系统中至少要找到一个bug,求完成任务的期望天数 分析: 还是期望dp框架: dp[i][j]:当前状 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Jy71D3.html" rel="bookmark" class="title">PHP 使用use语句来导入一个命名空间</a>
					<div>
						使用use语句来导入一个命名空间 PHP 5.3版本将会在2008年的早些时候发布, 现在我想应该是时候谈一谈这个版本的新特性了.在这些特性中,重量级的特性包括 命名空间, 静态延迟绑定(late s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38b8jgM.html" rel="bookmark" class="title">odoo 10&period;0部署shell 待改进</a>
					<div>
						环境ubuntu16+nginx+python2.7.12+postgresql9.5+odoo 10.0 community #!/bin/bash #author:[email protected ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MymNAVM.html" rel="bookmark" class="title">range&lpar;&rpar;的理解</a>
					<div>
						在python3中 示例  range(0,100) 1.内存中不会显示0-99个数字(这样做会节省内存),只有通过for in 循环才能够显示全部的数字,且区间范围内最后一个数值是不显示的 比如此题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXvjKQ3.html" rel="bookmark" class="title">从零开始的Opencv图像处理项目实战课程设计</a>
					<div>
						一.简介.1.通过课程能够获得什么?     a.对于想学习图像处理的同学能够快速入门:     b.能够快速搭建起来&quot;具备解决实际问题能力的&quot;软硬件平台:     c.能够积累一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6zYZdM.html" rel="bookmark" class="title">C 0001</a>
					<div>
						#include&lt;stdio.h&gt;void main(){ char a[11]={0}; char b; int i=0; for(i=0;i&lt;10;i++) { b=getcha ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xaK7L3.html" rel="bookmark" class="title">为什么php读取富文本的时候，p标签会出现红线</a>
					<div>
						为什么php读取富文本的时候,p标签会出现红线,怎么去掉,哪位大侠帮解决?跪求答案 就像下面一样,一遇到p标签就有红虚线 为什么php读取富文本的时候,p标签会出现红线					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/351xJv3.html" rel="bookmark" class="title">CSS3新特性应用（2&quest;&quest;）视觉效果</a>
					<div>
						一.单侧阴影 box-shadow属性的应用,格式:h-shadow v-shadow blur spread color inset属性取值介绍 h-sahdow:水平阴影的位置,允许负值 v-sh ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
